Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq
Class XidImpl

    java.lang.Object
      net.sf.dropboxmq.XidImpl

All Implemented Interfaces:
  Xid

     class XidImpl

extends Object
implements Xid

Created: 12 Aug 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`XidImpl(String encodedXid)`

Method Summary
`(package private) static byte[]` | `decodeBytes(String encodedBytes)`
`static String` | `encode(Xid xid)`
`(package private) static String` | `encodeBytes(byte[] bytes)`
`(package private) static char` | `encodeNibble(int nibble)`
`byte[]` | `getBranchQualifier()`
`int` | `getFormatId()`
`byte[]` | `getGlobalTransactionId()`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XidImpl

    XidImpl(String encodedXid)
      throws DropboxTransaction.TransactionException

Throws:
  `DropboxTransaction.TransactionException`

Method Detail

### decodeBytes

    static byte[] decodeBytes(String encodedBytes)
                       throws DropboxTransaction.TransactionException

  Throws:
    `DropboxTransaction.TransactionException`

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `Xid`

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `Xid`

### encode

    public static String encode(Xid xid)

### encodeBytes

    static String encodeBytes(byte[] bytes)

### encodeNibble

    static char encodeNibble(int nibble)

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD